package Gear::Remotes::File;

use strict;
use warnings;

sub new {
    my $proto=shift;
    my $class=ref($proto) || $proto;
    my $self = {
	-file => '.gear/upstream/remotes',
	@_,
    };
    bless($self,$class);
    die "Gear::Remotes: File ".$self->{-file}." does not exist.\n" if not -e $self->{-file};
    return $self;
}

sub list {
    my ($self)=@_;
    my @list;
    my $fn;
    open ($fn, "git config --file $self->{-file} --list|") || die "can't open $self->{-file}: $!";
    local $_;
    while (<$fn>) {
	chomp;
	push @list, $_;
    }
    close($fn);
    #$self->{-list}=\@list;
    return @list;
}

1;

